netatalk 4.4.3
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
server_ipc.h File Reference
`#include <atalk/globals.h>`
`#include <atalk/server_child.h>`

Go to the source code of this file.

## Macros
#define | IPC_DISCOLDSESSION 0
#define | IPC_GETSESSION 1
#define | IPC_STATE 2
#define | IPC_VOLUMES 3
#define | IPC_LOGINDONE 4
#define | IPC_SESSIONTOKEN 5

## Functions
int | ipc_server_read (server_child_t *children, int fd)
| Read a IPC message from a child.
int | ipc_child_write (int fd, uint16_t command, int len, void *token)
int | ipc_child_state (AFPObj *obj, uint16_t state)

## Macro Definition Documentation

## ◆ IPC_DISCOLDSESSION

#define IPC_DISCOLDSESSION 0

## ◆ IPC_GETSESSION

#define IPC_GETSESSION 1

## ◆ IPC_LOGINDONE

#define IPC_LOGINDONE 4

## ◆ IPC_SESSIONTOKEN

#define IPC_SESSIONTOKEN 5

pass session token to parent for reconnect lookup

## ◆ IPC_STATE

#define IPC_STATE 2

pass AFP session state

## ◆ IPC_VOLUMES

#define IPC_VOLUMES 3

pass list of open volumes

## Function Documentation

## ◆ ipc_child_state()

int ipc_child_state | ( | AFPObj * | obj,
|  | uint16_t | state )
| extern

## ◆ ipc_child_write()

int ipc_child_write | ( | int | fd,
|  | uint16_t | command,
|  | int | len,
|  | void * | token )
| extern

## ◆ ipc_server_read()

int ipc_server_read | ( | server_child_t * | children,
|  | int | fd )
| extern

Read a IPC message from a child.

This is using an fd with non-blocking IO, so EAGAIN is not an error

Parameters

  [in,out] | children | pointer to our structure with all childs
  [in] | fd | IPC socket with child

Returns
  -1 on error, 0 on success